FROM python:3.12.3-slim
LABEL authors="UdoChudo"
# Установим необходимые пакеты
RUN apt-get update && apt-get install -y \
    build-essential \
    libpq-dev \
    gcc \
    tzdata \
    sqlite3 \
    curl \
    telnet \
    && rm -rf /var/lib/apt/lists/*


# Установим рабочую директорию
WORKDIR /app

# Скопируем файлы проекта
COPY . /app

# Установим зависимости проекта
RUN pip install --no-cache-dir -r requirements.txt

# Откроем порт для нашего приложения
EXPOSE 5000
ENV TZ=Europe/Moscow
ENV FLASK_APP telezab.py
ENV PYTHONUNBUFFERED 1

# Запуск Gunicorn
CMD ["python3", "telezab.py"]